module Pod
  class Podfile
    module DSL
      def rsync_source(source, argv=nil)
        hash_plugins = get_hash_value('plugins') || {"cocoapods-repo-rsync"=>{"sources"=>[]}}
        sources = hash_plugins["cocoapods-repo-rsync"]["sources"]
		    unless sources.map { |s| s.class == Array ? s[0] : s }.include?(source)
	        sources << (argv.nil? ? source : [source, argv])
        	set_hash_value('plugins', hash_plugins)
        end
      end
    end
  end
end
